<?php

namespace dgsoft\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetAncillaryInfo StructType
 * @package Dg
 * @subpackage Structs
 */
class DgGetAncillaryInfo extends AbstractStructBase
{
    /**
     * The AncillaryInfoRQ
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \dgsoft\StructType\DgAncillaryInfoRQ
     */
    public $AncillaryInfoRQ;
    /**
     * Constructor method for GetAncillaryInfo
     * @uses DgGetAncillaryInfo::setAncillaryInfoRQ()
     * @param \dgsoft\StructType\DgAncillaryInfoRQ $ancillaryInfoRQ
     */
    public function __construct(\dgsoft\StructType\DgAncillaryInfoRQ $ancillaryInfoRQ = null)
    {
        $this
            ->setAncillaryInfoRQ($ancillaryInfoRQ);
    }
    /**
     * Get AncillaryInfoRQ value
     * @return \dgsoft\StructType\DgAncillaryInfoRQ|null
     */
    public function getAncillaryInfoRQ()
    {
        return $this->AncillaryInfoRQ;
    }
    /**
     * Set AncillaryInfoRQ value
     * @param \dgsoft\StructType\DgAncillaryInfoRQ $ancillaryInfoRQ
     * @return \dgsoft\StructType\DgGetAncillaryInfo
     */
    public function setAncillaryInfoRQ(\dgsoft\StructType\DgAncillaryInfoRQ $ancillaryInfoRQ = null)
    {
        $this->AncillaryInfoRQ = $ancillaryInfoRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \dgsoft\StructType\DgGetAncillaryInfo
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
